Tryton - Issues

 

Issue8175

Title Adding a timesheet on a production work result in a read_error
Priority feature Status resolved
Superseder Nosy List ced, nicoe, reviewbot, roundup-bot
Type behavior Components production_work_timesheet
Assigned To ced Keywords review
Reviews 255321002, 281401014
View: 255321002, 281401014

Created on 2019-03-06.14:40:28 by nicoe, last changed by roundup-bot.

Messages
New changeset da9da598e471 by Cédric Krier in branch '5.0':
Use domain to force work value on timesheet lines
https://hg.tryton.org/modules/production_work_timesheet/rev/da9da598e471

New changeset e0bfa53a07cd by Cédric Krier in branch '4.8':
Use domain to force work value on timesheet lines
https://hg.tryton.org/modules/production_work_timesheet/rev/e0bfa53a07cd

New changeset 434e987f4214 by Cédric Krier in branch '4.6':
Use domain to force work value on timesheet lines
https://hg.tryton.org/modules/production_work_timesheet/rev/434e987f4214

New changeset 94874ff6df03 by Cédric Krier in branch '4.4':
Use domain to force work value on timesheet lines
https://hg.tryton.org/modules/production_work_timesheet/rev/94874ff6df03

New changeset 0ab496877df4 by Cédric Krier in branch '4.2':
Use domain to force work value on timesheet lines
https://hg.tryton.org/modules/production_work_timesheet/rev/0ab496877df4
review255321002 updated at https://codereview.tryton.org/255321002/#ps277291002
New changeset 307f107cb497 by Cédric Krier in branch 'default':
Use domain to force work value on timesheet lines
https://hg.tryton.org/tryton-env/rev/307f107cb497
New changeset 919491128175 by Cédric Krier in branch 'default':
Use domain to force work value on timesheet lines
https://hg.tryton.org/modules/production_work_timesheet/rev/919491128175
New review281401014 at https://codereview.tryton.org/281401014/#ps255331002
New review255321002 at https://codereview.tryton.org/255321002/#ps275271002
msg48992 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-13.23:21:35
Here is review255321002 (and review281401014 for <5.1) which remove the wrong target work and use a domain. The patch for trunk can not be back-ported because it requires to define a new field.
msg47442 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2019-03-06.14:40:28
This is due to the fact that timesheet_lines field is a Function field which uses the reference 'work' which points to timesheet.work and not a production.work.
History
Date User Action Args
2019-05-04 11:14:11roundup-botsetstatus: testing -> resolved
messages: + msg49602
2019-04-23 10:00:23reviewbotsetmessages: + msg49162
2019-04-23 10:00:11cedsetstatus: resolved -> testing
priority: bug -> feature
2019-04-23 09:57:32roundup-botsetmessages: + msg49161
2019-04-23 09:57:28roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg49160
2019-04-13 23:38:24reviewbotsetmessages: + msg48996
2019-04-13 23:38:24reviewbotsetreviews: 255321002 -> 255321002, 281401014
2019-04-13 23:38:14reviewbotsetnosy: + reviewbot
messages: + msg48995
2019-04-13 23:38:13reviewbotsetreviews: 255321002
keyword: + review
2019-04-13 23:21:36cedsetstatus: unread -> testing
assignedto: ced
messages: + msg48992
nosy: + ced

Showing 10 items. Show all history (warning: this could be VERY long)